#######################################################################
#       Licensed Materials - Property of IBM                          #
#       "Restricted Materials of IBM"                                 #
#       5748-T15                                                      #
#       Copyright IBM Corp. 2016, 2018                                #
#       All Rights Reserved                                           #
#       US Government Users Restricted Rights - Use, duplication      #
#       or disclosure restricted by GSA ADP Schedule Contract         #
#       with IBM Corp.                                                #
#######################################################################
#  This file is provided on an "as is" basis.  There are no           #
#  warranties, express or implied, including the implied warranties   #
#  of merchantability and fitness for a particular purpose.           #
#  IBM has no obligation to provide service, defect correction, or    #
#  any maintenance for the file.  IBM has no obligation to supply     #
#  any updates or enhancements for the file to you even if such are   #
#  or later become available.                                         #
#######################################################################
# --START OF CHANGE HISTORY-----------------------------------------  #
#   CHANGE  DATE      DESCRIPTION                                     #
#   26077   20160901  Linux driver for z/TPF High Speed Connector     #
#   26322   20180824  Add TLS support                                 #
#                                                                     #
# --END OF CHANGE HISTORY-------------------------------------------  #
#######################################################################

EXE := connserver
TPF_DRIVER := conn
TPF_OL := Linux

################################################################################
# Define the envs needed to build this module, in the order of precedence
################################################################################
maketpf_env := drvs_util
maketpf_env += drvs
maketpf_env += base_rt

################################################################################
# Segments to be compiled with gcc compiler
################################################################################

C_SRC := connserver.c

################################################################################
# Override default Optimization
################################################################################

LDFLAGS_connserver := -pthread -lssl -lcrypto                                  #d26322

################################################################################
# Include the maketpf.rules
################################################################################

include maketpf.rules
